Version: 1.0.0
Release: 1%{?dist}
Name: lago
Summary: System testing framework
BuildArch: noarch
Group: System Environment/Libraries
License: GPLv2+
URL: https://github.com/lago-project/lago
Source0: https://resources.ovirt.org/repos/%{name}/0.0/src/%{name}/%{name}-%{version}.tar.gz

###################### lago package
Requires: python3-%{name} = %{version}

%description
LAGO System testing framework.
Deploy and tear down environments of several virtual machines

%prep
%setup -q -n %{name}-%{version}

%build
LAGO_VERSION=%{version} %{py3_build}

%install
LAGO_VERSION=%{version} %{py3_install}
install -d -m 755 %{buildroot}/%{_sysconfdir}/lago
PYTHONPATH="$PYTHONPATH:%{buildroot}/%{python3_sitelib}"\
             %{buildroot}/usr/bin/lago --ignore-warnings generate-config > "%{buildroot}/%{_sysconfdir}/lago/lago.conf"
sed -i 's/^\([^#]\)\(.*\)/#\0/' "%{buildroot}/%{_sysconfdir}/lago/lago.conf"
chmod 0644 "%{buildroot}/%{_sysconfdir}/lago/lago.conf"

install -d %{buildroot}/var/lib/lago/subnets
install -d %{buildroot}/var/lib/lago/store
install -d %{buildroot}/var/lib/lago/repos

install -d -m 755 %{buildroot}%{_sysconfdir}/polkit-1/localauthority/50-local.d
install -d -m 755 %{buildroot}%{_sysconfdir}/sudoers.d

install -p -D -m 644 etc/polkit/*.pkla %{buildroot}%{_sysconfdir}/polkit-1/localauthority/50-local.d/
install -p -D -m 644 etc/sudo/* %{buildroot}%{_sysconfdir}/sudoers.d/


%files

###################### python-lago package
%package -n python3-%{name}
Summary: Library to perform lago operations
BuildArch: noarch

BuildRequires: git
BuildRequires: python3-dulwich
BuildRequires: python3-jinja2
BuildRequires: python3-libvirt
BuildRequires: python3-lxml
BuildRequires: python3-netaddr
BuildRequires: python3-paramiko
BuildRequires: python3-pbr
BuildRequires: python3-pyxdg
BuildRequires: python3-rpm-macros
BuildRequires: python3-setuptools
BuildRequires: python3-stevedore
BuildRequires: python3-wrapt
BuildRequires: python3-xmltodict
BuildRequires: python3-yaml
BuildRequires: python36-devel
BuildRequires: python36-rpm-macros

Requires: python3
Requires: libguestfs-tools >= 1.30
Requires: libguestfs-devel >= 1.30
Requires: libvirt >= 1.2.8
Requires: python3-libguestfs
Requires: python3-libvirt
Requires: python3-lxml
Requires: python3-pbr
Requires: python3-xmltodict
Requires: python3-scp
Requires: python3-setuptools
Requires: python3-stevedore
Requires: python3-yaml
Requires: python3-pyxdg
Requires: python3-wrapt
Requires: python3-netaddr
Requires: python3-jinja2
Requires: python3-paramiko
Requires: qemu-img
Requires: qemu-kvm
Requires: git
Requires: sudo
Requires: tar
%{?python_provide:%python_provide python3-lago}

%description -n python3-%{name}

%files -n python3-%{name}
%doc AUTHORS COPYING README.rst
%{python3_sitelib}/%{name}/*.py
%{python3_sitelib}/%{name}/__pycache__
%{python3_sitelib}/%{name}/plugins/*.py
%{python3_sitelib}/%{name}/plugins/__pycache__
%{python3_sitelib}/%{name}/templates/*.j2
%{python3_sitelib}/%{name}/providers/*.py
%{python3_sitelib}/%{name}/providers/__pycache__
%{python3_sitelib}/%{name}/providers/libvirt/*.py
%{python3_sitelib}/%{name}/providers/libvirt/__pycache__
%{python3_sitelib}/%{name}/providers/libvirt/templates/*.xml
%{python3_sitelib}/%{name}/providers/libvirt/templates/*.j2

%{python3_sitelib}/%{name}-%{version}-py*.egg-info
%{_bindir}/lagocli
%{_bindir}/lago

%config(noreplace) %{_sysconfdir}/lago/lago.conf
%config(noreplace) %{_sysconfdir}/polkit-1/localauthority/50-local.d/*
%config(noreplace) %{_sysconfdir}/sudoers.d/*

%dir %attr(2775, root, lago) /var/lib/lago/
%dir %attr(2775, root, lago) /var/lib/lago/subnets/
%dir %attr(2775, root, lago) /var/lib/lago/store/
%dir %attr(2775, root, lago) /var/lib/lago/repos/


%pre -n python3-%{name}
if [[ "$1" -eq 1 ]]; then
    groupadd -f lago
fi

%postun -n python3-%{name}
if [[ "$1" -eq 0 ]]; then
    groupdel lago
fi

%changelog
* Wed Mar 18 2020 b'Marcin Sobczyk <msobczyk@redhat.com>' - 1.0.0
    a0172347: ci: Revert 31cc892941cc00d9bd7cf5af7c434fc348e92b35

* Wed Mar 18 2020 b'Marcin Sobczyk <msobczyk@redhat.com>' - 0.0.5
    2158c0de: ci: Cleanup 'automation' dir

* Wed Mar 18 2020 b'Marcin Sobczyk <msobczyk@redhat.com>' - 0.0.4
    4220e209: ci: Revert 6b9c917c796cb6f911ac9a025cea5f2e81db7a3b

* Wed Mar 11 2020 b'STD-CI Bot <infra-private@ovirt.org>' - 0.0.3
    5e54c883: Merge pull request #807 from tinez/stdciv2
    6b9c917c: ci: Switch to stdci v2

* Tue Mar 03 2020 b'STD-CI Bot <infra-private@ovirt.org>' - 0.0.2
    b6fcaf69: Merge pull request #806 from tinez/py3-switch
    ed415a0b: Adding the container scenario to setup of rpms
    f3631f1d: Added --list|-l option to snapshots command
    c204f761: automation: install with pip package-by-package
    6336d527: Added a callback function to handle import exception
    ee68f156: Added console cli command
    b28c21a1: docs:Added note on user home rights
    fdd63ae4: Merge pull request #298 from pilou-/make_lease_dir_configurable
    b5a6ae9a: Move sysprep to Jinja 2 templates
    179f5114: Change lazy_refcounts to ON in the snapshots, move to
              virtio-console
    a64d7513: qemu: raise informative exception on missing permissions
    ef90a75e: Merge pull request #296 from pilou-/search_for_kvm_executable_too
    4dbcef9b: Generating the docs changelog on conf.py
    c3ec2647: Fix DHCP/DNS record gathering
    be0ade4c: Merge pull request #720 from lago-project/update_get_ssh_client
    c7f54e15: Merge pull request #24 from david-caro/add_devel_docs
    219c04ec: Adding DHCP reservation to unmanaged networks
    dbeb01d5: docs:Allowing google style docstrings
    8da5a947: export: don't try to export iso files
    887a6c35: Fixing the readme to have direct link to github
    0f19c9ad: Generating the changelog for the spec file too
    518fbdcc: docs:Added docs for lago package __init__
    36279c9f: Merge pull request #66 from lago-project/move_to_cliplugins
    8b45b401: Adding the abilty to customize images during init
    57a0293f: docs: skip installation in tox
    3d77ce71: Merge pull request #90 from
              lago-project/update_docs_link_and_image
    12990923: Switch the log of SSH retries to display
    57eb6f02: automation: enable libvirtd debug mode
    2ab669fd: Merge pull request #482 from
              lago-project/drop_paramiko_version_requirement
    0fb13ba3: Merge pull request #241 from lago-project/expand_disk_paths
    f88bcb90: py3: Fix issues in 'log_utils' module
    0d2d7a40: py3: Remove 'xrange' usage
    32b60ce9: Merge pull request #267 from didib/docs
    8f15a2df: Small fixes to virt.py
    bf1b6a84: Adapted functional tests to the new status output
    db6f30de: docs: change yum -> dnf for fedora
    434de3ad: py3: Use absolute imports in all modules
    cef34ec6: Use lago run_command
    cc936fb9: Use a fixed version of Falke8
    933d0c78: Use try except in "extract_paths"
    8863b85d: Merge pull request #68 from lago-project/fix_init_cleanup
    ecd23d39: Merge pull request #544 from lago-project/refactor_ansible_hosts
    0954cbdd: Updating readme with new tests location
    FIXED BUGS: BZ#1279433
    ae3446c1: Merge pull request #622 from nvgoldin/force_libguestfs
    da159611: Use more advanced features of qemu-kvm.
    21054a7f: Merge pull request #637 from nvgoldin/subnets_free_on_destroy
    bec19366: Merge pull request #562 from nvgoldin/tests_add_metadata
    d90f2b50: For ease of use, connect to a host even if only the suffix is
              given.
    942cf17c: py3: Fix bytes x str issues
    90fd2b71: spec: require python2-paramiko >= 2.1.1 on fc>=24
    6aaba7a9: Added the new cli plugins
    11873b01: Adapted functional tests to new workdir concept
    5328bacf: ovirtlago: refactor get_ovirt_cpu_family method
    64eb26be: style: Adjust to yapf 0.17
    9253f807: Added possibility to use env vars on disk path and url
    b452f8c7: py3: Fix issues in 'output' module
    bb76de5a: Removed old vm class tests
    de56c593: Added start/stopping of single vms
    FIXED BUGS: BZ#1279441
    801d6add: tests: enforce execution of functional tests with lago gid
    722fa248: Merge pull request #286 from mkopta/these
    3faa9cab: tests: don't archive images in artifacts
    7a790a21: [docs] lago.conf customization
    c4380a9a: Fixed repoverify not behaving like reposync
    0cbea929: Add --out-format|-f option, and use it on status
    6f12ba99: Merge "Modify paths in readme file"
    c8ec7d6c: Change the log level of LockFile cm
    2a5a3359: Added extra ignores to .gitignore
    c0a8ee4f: Merge pull request #763 from
              lago-project/remove_debian8_base_img_from_functional_tests
    1e371f53: Close libvirt connections
    106ef552: Add automation build script
    61813f2e: Fix wait_for_ssh logic
    5f19ef10: Merge pull request #769 from
              lago-project/use_a_static_version_for_flake8
    7f76aec9: Progress report for template download
    1cb359bd: Merge pull request #578 from nvgoldin/tests_el6
    65b85349: Using the realpath for the LAGO_PREFIX_PATH env var
    6dd96515: Merge pull request #418 from lago-project/adding_qemu_kvm_ev_dep
    82912498: Merge pull request #702 from
              lago-project/create_workdir_in_existing_dir
    3dd1c7e1: Added CLIPlugin abstract class and entry points
    12b7fbbf: Merge pull request #391 from nvgoldin/guestfs_params
    ce103757: Yapf fixes
    2c2052d1: Let us control if DNS should be enabled in a libvirt network.
    f8034519: Added the ability to export images from a prefix
    f0336012: Removed authors, now it's autogenerated
    551bb6a8: tests: Fix multiline commands passed to lago
    95c33819: Merge branch 'master' into update_mailist
    460c9992: Merge pull request #657 from lago-project/adjust_to_yapf_0.17
    d9a05b57: Add invoke_in_parallel function
    6152127f: Merge pull request #337 from eedri/docs
    54e02ff8: Adding use of backing mode for qcow2 files
    e8a6edb7: make reposync more verbose and fix bz 1399235
    1d6650bf: Added yaml support for the init conf file
    40539861: Merge pull request #576 from nvgoldin/jinja_template_domain_xml
    24fe9b0f: Merge pull request #775 from galitf/fix_msg_vm_type
    b3169fff: Fix PEP8 for setup.py
    4383d5c9: sdk_tests: Check that VM is running
    f85d1d79: Use the vm-type instead of ovirt-role in the tests
    98b0731c: docs:Added docs to ovirtlago.utils
    791f4dc6: sdk: add logging options
    f506cb99: Add building of vdms-jsonrpc-java component
    36915e1a: py3: Fix issues in 'cli' module
    cfd36b3f: Merge pull request #635 from
              lago-project/warn_when_plugin_is_missing
    c9f53d4d: Merge pull request #525 from
              lago-project/do_not_export_dns_records
    ba2b8f21: Fix srpm inclusion in internal repo
    ef9a1ecf: Revert bfea3cc4d104381cd6e5a2ffd9d325843f5ac5f0 - stop on
              failures
    15891074: Merge pull request #794 from
              Funkabell/yum_install_skips_over_broken_installations
    c407952b: packaging: spec: fix rpmlint issues
    a7a99aee: Merge pull request #431 from nvgoldin/revert_ovirt_cpu
    640247d8: Merge pull request #293 from irosenzw/change_wait_for_ssh
    2ea8356e: Split out bootstrap steps
    79ce6397: utils: Improve Lock Context manager
    82c68d52: Remove unneeded code
    6dd7228f: Using full path for prefix deploy script name
    e8306442: Merge branch 'master' into fix-doc-install
    a61aba54: Merge pull request #737 from enarha/fix-doc-install
    2cde48b1: Fix comparison between LogRecord and level
    3d1a4b01: Change file locking method to flock
    aa093270: Merge pull request #336 from eedri/docs
    16d24028: Merge pull request #784 from
              pilou-/remove_erroneous_call_to_hexdigest
    721676cf: tests:Fixed status functional suite
    6c1d7ab2: ci: generate report if no code changed
    1c72729a: Merge branch 'master' into qcow2_changes
    654b382a: Use '-' instead of _ for the plugin names
    4a8a932a: Fix for the selinux relabeling
    FIXED BUGS: BZ#1287173
    213c1b09: Fix merge_repos code to handle latest and greatest noarch vdsm
    5c864202: Improve lago ovirt status
    327f0b72: Refactoring Lago docs
    1d555c86: Moved destroy logic to prefix class
    56bc5ce7: Adapted unit tests
    f847451a: Merge pull request #263 from
              iankko/empty_domain_in_network_mapping
    98bdf3c6: Merge pull request #767 from lago-project/improve_error_reporting
    a0379a72: py3: tests: sdk: Fix py3 issues
    120e0d1f: Add safelease sync from EPEL
    76ca58df: Set file permissions on lock files
    b81bcf7d: tests: fix flake8 error
    46107dc3: Merge pull request #192 from lago-project/fix_changelog_format
    70748698: Fix ovirt-capabilities in CentOS6/7 virt configurations
    65b351b6: Add 'rpmbuild' and 'lago.egg-info' to .gitignore
    cb3a4e72: sdk-tests: Move Lago's fixtures to an external module
    7117e18c: Merge branch 'master' into add_deps
    8a8125a9: docs:Documented the subnet_lease module
    7f8981da: Adding state command functional tests
    f070ef82: Merge pull request #338 from mykaul/prep_for_v4_ovirt_api
    98c4aebc: tests: add functional SDK tests
    bc3e66a8: Simplify basic_sanity test
    3fe2fa62: Added URL support for --template-repo-path
    FIXED BUGS: BZ#1288582
    1259f3bb: Refresh the README slightly
    9b35907d: py3: Fix issues in 'workdir' module
    24119a0f: Merge pull request #85 from lago-project/ci_process
    fb51e0d2: Fixed packaging on el7 too
    738b2f06: functional:Fixed ovirt.collect prefix init check
    31a0efc9: Merge pull request #756 from
              lago-project/print_stacktrace_to_log_on_lago_errors
    4f3c43e0: ssh: increase SSH tries on collect to 5
    d0959e20: Merge pull request #619 from d3dave/patch-1
    12f27bc2: Merge pull request #556 from nvgoldin/tests_functional_imp
    56803b40: Not appending the messages log on >fc22 hosts
    231c9de5: docs: updated examples
    bfea3cc4: Continue testing on test failures.
    0686c9dd: ovirt.Prefix:Move the paths creation to __init__
    dc307d06: Merge pull request #515 from nvgoldin/el6_dom_template
    95b89dd6: Added the --version option
    ccf6dca4: Added lock class for el7 locking
    e2d93ecc: Merge pull request #261 from mpolednik/gitignore
    5c5199e9: Allow copying dirs in the vm
    8a0d9590: fix:Destroy also perfixes that are soft-links
    da9670b1: pip: add missing requirements
    1582a3ca: cmd: Fix arg parsing when no verb is provided
    955974de: Merge pull request #372 from nvgoldin/caps_bug
    32e52cfd: Add lago/vm.py
    3f55408a: Import lxml.etree as ET
    4d1cfc5c: docs: pin sphinx version
    d522b594: Switch back to serial console in for el6
    61520a6b: Merge pull request #779 from
              galitf/issue_612_prefix_already_exists_new
    40d80042: Make template check less strict
    91a66b1d: Yapf fixes
    32c7a19f: Added fc22 build support
    4f1abbe7: Make Lago operational without 'guestfs' module
    d70bd7a1: Merge pull request #555 from nvgoldin/sysprep_consistent_ifcfg
    283d26b4: Merge pull request #120 from
              lago-project/fix_ovirt_tasknoseplugin_import
    007fc96b: Merge pull request #44 from lago-project/fix_root_part_metadata
    fec0364a: updating the container build script
    8c801f8a: Merge pull request #491 from
              lago-project/increase_shutdown_timeout
    00a74648: py3: Fix issues in 'vm' module
    1b8252d9: testlib:Added possibility to allow exceptions
    0f9d3344: Remove ovirtlago
    ab7f38c8: Merge pull request #558 from nvgoldin/sphinx_ipython
    fbb96183: Merge pull request #374 from mykaul/fix_reposetup
    7c819d4c: Merge pull request #277 from lago-project/fix_issue_#20
    23b3b43f: Fix internal reposync config
    df58febd: Merge branch 'master' into remove_mtu_1500
    fc7c1f1a: automation: merge check-patch and check-merged
    34417289: Generate an init file that can be used with exported images
    6386bc8c: Move to a single DNS server per management network
    724a7d78: Merge pull request #185 from lago-project/fix_docs_version
    c913a866: Make DNS changes introduced in 6386bc8c backward compatible
    8fb05be6: Properly override the vm-type on ovirt* hosts
    85c702fc: Remove templates directory symlink
    8a096bce: Merge branch 'master' into fix-doc-install
    308f19d6: Warn if guestfs is not available
    53c4ddaa: Added shell basic tests
    c5158fd9: Don't run flakes on .eggs directory
    3682eaae: tests: stop after first failure in functional tests
    290c49a3: Merge pull request #361 from nvgoldin/tests_generate_config
    4900822f: Merge pull request #266 from lago-project/fix_typo
    3e7ad64b: Fix typo in NATNetwork and BridgeNetwork
    ac237733: Remove the whole marking of usage of templates
    b6d34bcd: Fix python2 call
    428cc247: Use standard 1st param in classmethods
    ef337fff: Create the SCSI controller only if needed.
    9e48c95b: Merge pull request #329 from mykaul/switch_qemu_ga_with_agent
    62cdaaee: Updating the master branch repositories
    093e9a6c: Fixed the running of the tests on fc23
    4b25a7b4: Merge pull request #450 from nvgoldin/revert_paramiko
    64fdc16b: Merge pull request #603 from nvgoldin/sysprep_jinja2_typo
    ea982b06: Fix missing template hash in logs
    c5687ae0: Merge pull request #519 from
              lago-project/print_message_lago_ovirt_start
    7a4d4aa8: Making virtenv class overridable
    92685ff7: tests: Update VM images
    066c16fc: Merge pull request #644 from nvgoldin/tests_addfc26
    ed77c957: Fix oVirt APIv4 creation
    ee7b814f: Merge pull request #301 from lago-project/flat_output_plugin
    5d85a5ba: Simplified the flake8 tests run
    62db22f7: Fix SyntaxWarning on global variables
    fe193ed9: Fix get_api() code
    bddea9bc: Merge pull request #172 from mykaul/remove_balloon
    2ea01518: Merge branch 'download_progress' of
              https://github.com/mykaul/lago into download_progress
    2f79bce2: docs:explicitly say to wait for reboot
    407fcd28: Merge branch 'master' into fix_level_comparison
    b3d5f273: py3: Fix issues in 'service' module
    03a48386: Adding the ssh timout to the spec
    a1dde065: Convert possibly unicode strings to ascii
    2e4ef9cc: Merge pull request #269 from lago-project/improve_collect_tests
    c645e0f8: org:Added small scripts to manage taiga issues
    86a8bde1: Setting LAGO_WORKDIR_PATH too on init
    bea9f07d: modified junit reports naming to match the standard ci convention
    0b886d90: Merge pull request #22 from lago-project/fix#22
    9f7d0c91: libvirt: use /dev/random on libvirt versions <= 2002001
    dec4c3b7: docs:Added small page with devel setup guide
    3ad696aa: Added note on how to get repoman to the docs
    b0161c62: Follow PEP8
    406e56a8: test.deploy:Using smaller, local cirros image
    cc752cdd: Merge branch 'master' into packaging_python_pbr
    10b524db: Fix RPM filtering by arch
    3f294250: Pep8/yapf fixes
    599319e4: Set MTU for all interfaces to 9000.
    4fa583e2: sysprep: ensure el based ifcfg files are created consistently
    30798869: utils: don't log twice run_command
    b5623b0e: Add pre-configured default paths to installation
    c779cb65: py3: 'test_build' module fixes
    70ab5b41: Merge pull request #29 from mykaul/download_progress
    d7a9751a: Allow running "chmod" as qemu user
    4b76b974: Dump capabilities when unexpected error occurs
    90fc03fb: Print Lago* exceptions' stack trace to lago.log
    e6c55e41: Catch SIGTERM/SIGHUP in order to run cleanup code
    76bf0bae: ovirtlago: don't download source RPMs by default
    b0ed1bb5: Merge pull request #792 from
              lago-project/update_images_in_func_tests
    d12ed682: Merge pull request #476 from nvgoldin/drop_check_deps
    f13cd2e2: Merge pull request #648 from nvgoldin/doc_fc26
    6034a23d: Throw error if yum install failed in deploy.sh
    8ead2755: Get rid of external repo symlink
    fe8487f2: Adding container config samle
    ba4f1be5: Added small log when downloading a template
    b17a5c29: Merge pull request #304 from mykaul/DNS
    eed99f11: path.py:Removing unneeded prefix() getter
    37ceb52b: Fix PEP8 errors
    b30ca43d: py3: Fix dict iteration
    9051a900: Added OvirtWorkdir class
    66704a0c: Revert "ovirtlago: drop get_ovirt_cpu_family"
    6d97b7f3: tests: increase timeout in functional tests
    5bfa28df: Merge pull request #671 from mykaul/set_mtu_per_interface
    c779cfc2: Added basic copy-to-vm tests
    c56fd8dc: Fix failure in runnung tox -e docs
    4e69d6b3: Make paramiko v1.16 work with python2-crypto again
    fc88679b: Support storing of disk url's into given path
    20da024b: Fixed bridge tests when running without tty
    3f99244a: cmd: drop group warning
    dfade4ef: docs:Added yum repofile examples to the install docs
    FIXED BUGS: BZ#1282904
    24af5b1c: docs:use setup.get_version for the docs version
    3526c998: Merge pull request #87 from
              lago-project/add_serial_console_command
    14f317d4: Merge pull request #563 from dominikholler/rng_urandom
    2c9f4bbf: docs: fix typo
    6675b0bb: plugins: vm: Faster 'extract_paths' implementation
    f8be8f4d: Move domain templates to Jinja2
    74b30c3f: Merge pull request #444 from lenoch/explicit-python2
    7167f207: Added small note on libvirt restart when new user
    66d47401: Use python2 explicitly.
    48bffab0: Merge pull request #369 from nvgoldin/bz1399235
    587eba28: Add 'generate-config' verb to functional tests list
    789ee258: Merge branch 'master' into raise_ioerror
    fa588e4f: Merge pull request #360 from nvgoldin/ovirtlago_cleanup_i
    577c442a: Expand vars and user contraptions on deploy scripts
    d42ef51d: Document repo.metadata format
    ab5aa8a6: Merge pull request #366 from mykaul/skip_freeze
    a9c43a59: tests:Fixed the prefix path resolution
    9f0fe955: tests: use sdist instead of RPM in functional SDK
    fcf0fcd3: Merge pull request #520 from
              lago-project/improve_lago_ovirt_status
    c4754735: Add requirement for qemu-img/qemu-kvm packages
    2687fb25: Quoting some dangerous vars on build-artifacts
    5178f92f: Merge pull request #151 from lago-project/yaml_init_definition
    46d6daca: Merge branch 'master' into
              yum_install_skips_over_broken_installations
    39846c9a: Merge branch 'master' into
              yum_install_skips_over_broken_installations
    b4988b0f: Added yapf style
    9f83d006: Moved collect_artifacts to lago.prefix.Prefix
    fbbf1569: Exit when build script has insufficient parameters
    774036c8: Merge branch 'master' into allow_running_chmod_with_qemu_user
    3bc15ffe: Reduce the number of DHCP entries we add to libvirt.
    b2a40ab4: Convert possibly unicode string to ascii
    3ee023c1: pgk:Removed mock references
    592417b0: Pep8 fixes
    bde795c9: Merge pull request #577 from nvgoldin/gitignore_flake8
    7d2f885d: Use password from template when adding host to engine
    18048436: Added copy-from-vm basic test
    85fcdd28: subnet: use backported Python 3 super method
    4fdd8462: Merge pull request #339 from mykaul/continue_on_failures
    dbb538e5: Merge branch 'master' into multiple_ips
    167d99a6: deploy: Sleep 10 seconds if ssh isn't available
    ab10afb2: Print informative message when an unrecognized VM type is used
    5b8970f7: Merge pull request #791 from lago-project/set_lock_permissions
    b96ae754: Merge branch 'master' into unknown_vm_exception
    59b742a6: docs: remove to do directive from root readme.md
    f194af03: Making status deterministic
    73c1b40c: Merge branch 'master' into disable_services
    63eb1f8e: Merge pull request #782 from pilou-/fix_level_comparison
    8f32fadf: Merge pull request #134 from
              lago-project/use_direct_libguestfs_backend
    44659f5b: Making the disk order correct for ova case
    4ef1e378: Adding simple changelog to the dist tarball
    d9438c8c: Using 'initialized' as the initialization tag file
    5c3efce5: Merge pull request #537 from nvgoldin/remove_ovirtlago_from_lago
    d1f4abe0: Merge pull request #551 from nvgoldin/docs_sdk
    93eafc63: sdk: save metadata early
    3f4916f5: Make unit tests happy
    53fe1cdc: Update fedora>23 to use python2-pbr
    d19a7ab9: Merge pull request #761 from lago-project/ansilbe_groups
    cb48ad59: Merge pull request #367 from nvgoldin/update_yapf
    c820276f: Removed unnecessary macros from spec
    521998a0: tests: configure libguestfs parameters for sdk tests
    288153e9: Merge pull request #435 from nvgoldin/uuid
    ed2d079a: Merge pull request #559 from nvgoldin/docs_sdk_minor_fixes
    4b98d690: Merge pull request #223 from
              lago-project/try_cleaning_reposync_caches_on_first_failure
    5d2fc958: Use the spec distro if any
    4d9d9c79: Adding setup script of container based node
    ab4bd673: autopep8 the code
    f4b86af2: Merge pull request #396 from mykaul/fix_apiv4
    28cc18e7: py3: Overhaul 'version_manager' script
    41878300: Merge pull request #324 from nvgoldin/generate_config
    987fb170: Added collect functional tests
    e2cde458: Add AUTHORS to 'make clean' command
    95bdb652: Merge pull request #330 from eedri/docs
    c9b32020: pip: add dulwich to setup.py requirements
    ffc2455e: Merge pull request #244 from lago-project/yapf_fixes
    fc4fadfc: Merge pull request #222 from lago-project/refactor_reposetup
    d36b6c61: pip: drop 'python-magic' dependency
    5df5905a: reposync:Failing on existing but empty repo
    3eaba195: Merge pull request #189 from lago-project/add_set_current_option
    8c4d1dcd: More README updates
    452eac63: Fix issue: no cpu_map.xml file on libvirt fc29
    c0baab76: Add serial number to disks.
    350db807: Merge branch 'master' into get_cpu_caps
    9425bc3c: Merge pull request #433 from lago-project/revert_repoman_conf
    2f33263d: Merge pull request #596 from
              lago-project/adding_netaddr_to_docs_conf
    4a8e7aec: Merge branch 'master' into fix_super_usage
    67989e1f: automation: clean yum/dnf metadata
    907c116f: Maintain the usage of env vars for deploy scripts
    df7eecaa: Merge pull request #242 from lago-project/add_changelog_to_docs
    511e3dc5: Check network is active after creation
    698c4020: virt.py:add method to retrieve snapshots info
    0d4f9e06: Properly testing all the dependencies
    fb56df35: Fixed prefix cleanup on init failure
    70aab26e: Adjusting the bootstrap for master
    b9ab1f6c: Added ignore-warnings option
    7a990a30: Merge pull request #397 from mz-pdm/fix-rpmbuild
    51158c7c: Merge pull request #327 from lago-project/adding_requirements.txt
    2a10350b: Fix composed plugins calls
    96468eb5: Fixed bug when failing to aquire lock is hidden
    cf0d6ab3: Merge pull request #455 from mykaul/stop_after_failure
    22f1b5e5: Adding handling of systemd in a container and outside of him
    7a596a72: templates: Use /dev/urandom for RNG
    8b4d31d6: testlib: Log exceptions in assert_true_within
    6fc57a2c: Added license to unit test modules
    2d16dac6: Meaningful message when there is Unknown VM type
    631202f1: Add vm-type ovirt-he-host
    6c84bc71: Added output plugins
    15b83901: Fixed log_task decorator to return correct value
    a001d3eb: sdk: Allow to load an existing environment
    499c9912: Expanding the disks path on vm xml generation
    b6cce03a: Merge pull request #512 from
              lago-project/allow_to_define_skip_bootstrap_in_init
    d492df0a: build: Allow to use a list of arguments
    1cacf425: docs: Adding el7.4-base
    c7625f43: ovirtlago:Breaking if any of the test fails
    a1c4a076: Merge pull request #474 from mykaul/sysprep_update
    78078f3c: Merge pull request #119 from lago-project/fix_bridged_start
    2d1e5283: ovirtlago: add 'require_sdk(version)' decorator
    df3e011a: Yapf fixes
    0feea52e: Add flake8 source check to build process
    2d409dce: py3: Fix invalid octal literal
    a2134879: Moved the TaskLogNosePlugin to ovirt
    e135989a: Merge pull request #209 from lago-project/move_deploy_to_lago
    1420a636: Merge pull request #26 from david-caro/log_tweaks
    0c8de174: Refactor subnet lease
    d7b462ed: Merge branch 'master' into multiple_ips
    9d071894: export: export disks in parallel
    a0739b69: Fixing correct host setup script and memory
    fb5a5905: Update README files
    b1ed7bab: Print help lines before parameters in generate-config cmd
    36982c69: typo
    b816daf8: ovirtlago: remove deprecated per-project repo directories
    de3f651b: functional:Fixed tests on el7
    5b34e515: export: Backing file resolution fixes
    93dcbdf2: Merge pull request #96 from tlitovsk/sshAvoid
    66e29951: Collect /var/log/messages from hosts. Useful at times.
    8fb23bce: Using posixpath.join to concatenate urls
    abf7e9ff: Merge pull request #699 from lago-project/fix_brctl_fc27
    9803eeac: Merge pull request #799 from galitf/fix_doc_build
    1b1da49b: Added some extra info on brctl error
    48fab2a9: Merge pull request #666 from lago-project/adding_el74_to_docs
    66719c8f: Merge pull request #144 from lago-project/destroy_command
    9a6e370c: Use lago.utils.LockFile instead of lockfile's one
    e3f968de: Merge branch 'master' into remove_mark_used
    7658c14f: Configure virtio-rng for VMs
    5920c528: Merge pull request #86 from lago-project/complete_basic_tests
    548e1e36: Merge pull request #140 from lago-project/add_output_formatters
    eb57276c: py3: Fix usage of 'reduce'
    2e90b91f: Merge branch 'master' into master
    eab07c7a: Change the defaul log level to debug
    975301b1: Merge pull request #265 from lago-project/fix_copy_in
    fa479f30: spec: force libguestfs >= 1.30
    4a502482: Merge pull request #771 from lago-project/lock
    3cc62120: Fix sftp access
    983dbd5d: workdir: Narrow except in is_workdir
    ec4e412c: docs:Moved README to rst
    eff8988b: collect: search 'No such file or directory' errors properly
    b15b0f91: Merge pull request #776 from
              galitf/issue_659_image_not_exists_squash
    f5f60343: Merge pull request #193 from nirs/debugging
    f7c5762a: Refactor collect command to use SCP
    379b12ad: Add more information to ssh command logs
    64905e4f: func:Added extra syncs to make sure the disk is written
    68a63ac3: Merge pull request #570 from nvgoldin/pip_compat
    030f6e76: Merge pull request #279 from mpolednik/libvirt-auth
    4db3effa: Add fix for stuck CLI verbs
    735e6359: docs:Fix a couple of leftovers from the name change
    c9f3db69: Merge pull request #78 from tlitovsk/qcowAddOn
    e0ae7b0c: Merge pull request #457 from nvgoldin/informative_workdir_exp
    e204df2c: Added some docs about the new plugins
    0c5496ae: version_manager: Support shallow git clones
    d1d1ae48: ovirtlago: move OvirtPrefix from __init__.py to prefix.py
    ff2c5ceb: Fix 'super' usage
    aea8099e: Stop using sys.exc_info in LogTask
    773eddad: Pinning down the version of yapf used
    26bc9356: py3: Fix some str x bytes issues in XML handling
    81cf8ab5: py3: Remove usage of 'long' in private function
    b95e794a: Fix JSON schema
    7b9882e3: Merge branch 'master' into master
    e2f84142: Merge pull request #653 from mykaul/more_domain_template_changes
    87bfcbac: Merge pull request #240 from
              lago-project/add_initfile_path_env_var
    99e0eeee: Docs: initial santity
    43d14da1: Add the functional fixtures to the flake8 exclude
    d5178553: Moving the container deploy to engine.
    d0217abd: docs: Putting the getting started section on top
    3019af9d: Add json schema readme
    06adabd8: Reorganized the spec file
    1062778b: Not breaking on SSHException, just retry
    a956e87e: Merge pull request #122 from
              lago-project/add_ovirt_deactivate_logs
    aabe5754: Merge pull request #436 from nvgoldin/fix_service
    548a32a6: Allow configuring cpu_model per libvirt VM
    fb659a57: Remove external repo disabling
    7ed5cb4b: Fix wrong import of TaskLogNosePlugin
    24f7d57e: Control bootstrap in the init file
    3f041d51: cleanup: drop lago_template_repo
    5ff64789: Added CI process to the docs
    b6641cb9: Merge branch 'master' into fix_super_usage
    802e6d1d: Merge pull request #695 from mykaul/numa
    bb28f29f: Merge pull request #606 from nvgoldin/guestfs_conditional
    6365ee3f: Merge pull request #205 from lago-project/check_vm_status_on_ssh
    ed677d6b: Merge pull request #280 from
              lago-project/hide_import_error_when_using_old_versions_of_stevedore
    532c024b: py3: Fix issues in 'cmd' module
    aa1078db: Added cli verb 'deploy' to lago
    ee5327a4: Add build dependency on python2-rpm-macros
    4b97a215: Show message when prefix already exists
    83a7f68a: Add host CPU model detection
    5f866992: Adding guid bit to the lib dirs
    abeb3eac: Build Lago container
    dff25485: Remove unmaintained files and lago-ovirt-extras package
    FIXED BUGS: BZ#1277649
    71193c90: tests: run systemd-analyze blame after each run
    1cc2134a: Merge pull request #496 from danielBelenky/master
    267cbad5: Just sleep in the busy loop
    d8c9ac55: Added new deps for the tests
    4381895e: Merge pull request #585 from nvgoldin/setup_metadata_fixes
    ee0b0438: Merge pull request #662 from mykaul/add_mtu_9000
    cae38430: Add docstrings to "get_ssh_client"
    e5c3b959: tests: don't pin yapf version
    cee73f4e: tests: Disable tests for bridged networks
    ed3f48c0: deploy: Don't propagate fail when waiting for ssh
    c3e83301: adding qemu cbs to support master branch with centos7
    79cb1e35: Reorganizing for standard-ci
    fe28c203: Uniform dom_name and dom_spec parameters usage
    8eeb43cc: Fixed wrong error log on reposetup
    0d439487: tests: add network unit tests to Prefix
    4286dd39: Ordering imports and add missing file headers
    0ea069a0: Merge pull request #672 from mykaul/get_ips_per_net
    424c64ef: py3: Fix issues in 'network' module
    0220d0bb: tests: add el6 test on check_merged
    be42c00f: Merge pull request #601 from nvgoldin/drop_dirlock
    4559d126: tests:Adapted tests to the new default prefix
    1b34146b: Merge pull request #693 from lago-project/paths
    62bdef11: tests:Added destroy basic functional tests
    0654bfef: Fix attribute error in Network class
    4ec06af2: docs: fix ipython lexer warning
    9d399c14: Fixes for source revisions
    5ab26460: ovirtlago: assert ovirt-engine and vdsmd services are running
    bc239971: Showing warning on reposync error
    9148ca2b: Changed logo to latest one
    58fef15e: Merge pull request #684 from
              lago-project/update_vm_images_in_the_tests
    50379c5e: Add option to store templates inside configurable testenv path
    e3b78862: ovirtlago: detect available SDKs from sys.modules
    ac55bb38: Merge pull request #645 from nvgoldin/backport_super
    7774d8e9: Added current public template repo as default
    6eda019d: prefix: Expose Paths object in the SDK
    6a0089e8: Merge pull request #288 from lago-project/fix_fc24_build
    1c408675: Added the destroy command
    73148d7f: Merge branch 'master' into config-tests-fix
    8e976326: Updated repo url in the readme
    8845853f: Merge pull request #323 from mykaul/get_cpu_caps
    bb0e2707: Improved the default output formatting
    79710a2f: Added config defaults to code
    3b8d3503: Make log level configurable
    4d303eea: paths: Make the new interface compitable
    17e9be31: tests:Modified deploy funct tests to use vars
    faa3f756: automation: use tox to setup virtualenv
    417328cf: Merge pull request #285 from mkopta/systemctl
    cf146a52: Merge pull request #284 from mkopta/master
    615cda8b: Using default init config file
    f306d8f8: Remove mtu=1500 from ifcfg files.
    d22f7073: Merge pull request #132 from lago-project/add_dev_bootstrap
    cb6a8d02: Remove erroneous call to hexdigest method
    e642c5b0: Merge pull request #446 from nvgoldin/safe_uid
    99e02ef7: Add git to BuildRequires
    6365ab5e: docs: refer to ovirt 3.6
    d3960127: Merge pull request #533 from nvgoldin/fix_prefix_test
    4d80e8d6: Added snopshot functional tests
    263bcf4d: Adding the ssh timout to the spec
    a643b7f4: packaging: use enum34 instead of enum
    90afb0fe: Add python_provide macros to spec
    85212b62: Added check for the new deploy verb
    1056fe50: py3: Drop usage of 'future' library
    0ddc144e: rpm-spec: Don't fail if group "lago" already exist
    06b62b73: Make except clause more precise
    174d8755: Updated the README and example script
    eed1fa98: Adding debugging and troubleshooting section
    11968bad: Merge pull request #717 from
              lago-project/dont_run_cli_functional_tests_with_lago_group
    52b87825: Merge pull request #332 from mykaul/get_prefixed_name
    9e3ff2cc: pip: reference requirements.txt in test-requires.txt
    ffe0f21f: tests: add metadata check
    974623e4: Fix for reposync command, not to leave leftovers in /var/tmp/yum*
    7aae95ac: Adding the store configs
    02ceb841: docs: add fc26 templates
    bb846b43: Merge pull request #398 from mz-pdm/fix-cpu-model
    b3d94b8c: tests:Added unit tests for prefix path resolution
    f277d964: Remove explicit host names from tests
    ed528c1d: ci:Added some missing packages
    d94b452f: Merge pull request #383 from nvgoldin/guestfs_backend
    68137950: Merge branch 'master' into docs
    af1c52d6: virtio-scsi support in Lago
    5958e902: Using the new common lib
    5deacaec: Merge pull request #150 from lago-project/more_pythonic_structure
    0d4c5071: Merge pull request #719 from
              lago-project/stop_using_check_alive_decorator
    907f66e9: Revert "docs: pin sphinx version"
    57c9c6b6: Removed some old code from the Makefile and spec
    777685db: Add 'ovirt serve' verb
    3f91a3ae: Merge pull request #121 from lago-project/move_to_pytest
    d6be8c1f: virt.VM.ssh:Use the propagation value passed
    5339d06d: Perform the check if domain name isn't empty string when
    545ac526: Merge pull request #130 from lago-project/flakes_ignore_rpmbuild
    35bea980: Merge pull request #62 from lago-project/fix_trailing_slash
    c451400c: docs: Troubleshooting IPv6 accept_ra error
    1bc6bf32: libvirt calls cleanup
    531559ec: prefix.py: removed paths getter method
    1532537c: Introduce configuration files
    59411f17: Refactor net initialization code
    490fd1d1: tests: disable cirros workarounds for none-cirros vms
    31cc8929: ci: Use a fixed version
    dec56e84: sdk-functional: Disable extract_paths_dead test
    e254c338: Merge pull request #499 from nvgoldin/functional_testlib
    7a92a2f1: Merge pull request #258 from lago-project/fix_yapf
    833bb40b: Yapf fixes
    73a29afa: Refreshed the repos
    b7be003b: Added run_ok and run_nook helpers
    e3c8cfd6: docs: minor docstring/sphinx formatting fix
    911c1e7b: Change RPM header retrieval
    4cbca73d: Adding correct ova disk metadata about rootfs
    1893ae30: Increase shutdown timeout
    f5c8c701: gitignore: add flake8.txt
    db836eda: Yapf fixes
    3210f40e: Improve lago collect error handling
    1c1198a1: Moved the in_prefix and with_logging decorators
    70b8086d: Add the new default conf values
    bf0a64d7: Unit tests for cpu.py
    9af5ab8a: typos
    163e8a2b: Sorting and removing dupes form the .packages
    1148b6ed: style: Control manually on yapf version
    25e3988f: functional tests: improve export tests
    30249ef2: packaging: adjust setup.cfg metadata
    4f3a41ff: virt:Fixed fetching of the root-partition key
    1f6fc70f: Added flat output formatter
    706d4b4a: Merge pull request #507 from nvgoldin/yapf_fixes
    37aeea80: Save the version which was used to generate the prefix
    1fa049c5: Merge pull request #591 from nvgoldin/docs_pip_dnf
    c9d85554: Remove the memory balloon device. We don't use it.
    25c91601: Merge pull request #227 from lago-project/fix_unhandled_exception
    266d702d: Merge pull request #583 from
              lago-project/refactor_subnet_lease_squash
    5692136d: Merge pull request #753 from lago-project/add_lago_container
    863ae850: Added html report generation
    8f885047: Print thread's exception info to the log
    7578c316: guestfs: refactoring
    ffb4b560: py3: Remove usage of 'basestring'
    71590346: utils: Fix reraising exceptions
    948690d6: Moving to setuptools
    7d66bd10: Fix sysprep of non-dhcp interfaces
    0f8cee80: ovirtlago: drop exception handling in test_sequence_gen
    ca83aab0: Merge pull request #406 from nvgoldin/sshinject
    c456d507: py3: Fix various broken imports
    af5aa90e: Removed some duplication from prefix.py
    08ffada9: Yapf fixes
    256c9c3c: Merge pull request #802 from tinez/py3-fixes
    5fa19d38: Make yapf happy
    df95b6df: Now it will show the libvirt status of the domains
    6b409b64: README fixes
    1a22c4a3: docs:Added ovirt deps install in the example
    FIXED BUGS: BZ#1283333
    24f83bf8: Fixed issue with copy-from-vm
    9b6d4665: docs:Added mission statement
    4915634a: Merge pull request #218 from
              lago-project/rotate_collect_dest_dir_if_exists
    887a3b0f: Merge pull request #237 from
              lago-project/more_reposync_workarounds
    a8c9d455: Added VMProvider plugin
    4ca2deaf: all "supported" OS use systemctl instead of service
    a92fec3f: Fix "running" method in SSHVMProvider
    f67fe114: functional:Added a test with set-current
    dec88485: Merge pull request #500 from nvgoldin/dns
    fa360675: Merge pull request #712 from mykaul/remove_extra_dhcp_entries
    ccaf6ca0: py3: Fix issues in 'test_config'
    18ad3f95: Merge pull request #199 from lago-project/add_bootstrap_logs
    d40a8830: Merge pull request #687 from lago-project/sdk_expose_prefix_path
    b82c2d28: Add _set_mtu_to_nics to add MTU information to NICs based on the
              network MTU
    e239c2f7: Fixed issues management scripts
    b99a9f42: Use Python 2/3 compatible print function for cmd.py
    ca73e30e: tests: Use epoch-based date format
    6a237513: Merge branch 'master' into set_lock_permissions
    08879452: Added dead/live/scp extracting from the vms
    a973e026: Add BZ#1195882 workaround for libvirt
    188d0cd7: Add log collection verb
    e3ec9358: Merge branch 'master' into get_ips_per_net
    627a91cc: docs: Mock future lib
    76326e0b: Document repo metadata sources and add an example
    061207c6: Merge pull request #314 from mykaul/add_serial_to_disks
    b3cfd5b0: Extract argparse defaults to constants
    e965dfcf: Added workdir unit tests
    260e05dc: doc:Added libvirt restart and note on permissions
    eefd52fd: Merge pull request #181 from mykaul/collect_var_log_messages
    453b167f: Merge branch 'master' into inject-keys
    d90e3e2e: func-tests: Update Centos image to 7.6
    630cc0ce: Document type field for nets
    5a7b4992: Merge pull request #554 from nvgoldin/jinja_template_sysprep
    306d9aa6: Merge pull request #707 from
              lago-project/sdk_functional_move_fixtures
    859f195e: Print warning when failed to load plugin
    0ad70cb7: Replace lago-devel mail list to devel mail list
    f50b39fc: Merge pull request #780 from lago-project/fix_version_manager
    a7b90ee8: Add repo building targets to makefile
    c8d8a809: Merge pull request #552 from nvgoldin/sdk_init_from_dir
    ab687b14: automation: bring back libguestfs debug mode
    12bd917f: Refactor scp_to/from code
    630d70e9: Added ovirt.collect functional tests
    8d3f210d: Merge pull request #550 from nvgoldin/sdk_add_expose
    4cf0197f: Merge pull request #479 from mykaul/remove_mark_used
    1496ed4d: Simplify bootstrap test
    4201bb0f: Merge pull request #437 from mykaul/remove_video
    30820968: Merge pull request #531 from nvgoldin/add_sdk
    7f25ef33: Merge pull request #427 from nvgoldin/he_cpu
    d3d421cc: docs: add Ubuntu 16.04 pip installation notes
    c58abf06: Merge pull request #395 from mykaul/inject-keys
    a771a9d7: Auto-generate lago.conf in RPM spec file
    d76184f6: Merge pull request #207 from lago-project/fail_on_empty_repo
    08c5a898: automation: added docs handling
    b88873d1: py3: Fix issues in 'prefix' module
    0a5bd28a: Added prefix path resolution to the Prefix class
    ba6dda1e: Refactored the ovirtlago.utils module
    2da97bba: Removed task start message
    f7bdb22a: doc req: exclude incompatible nbsphinx versions
    7024fb7c: Merge pull request #773 from galitf/copy_from_vm_squash
    fc714c66: Added excludes to repo files
    b3a0bcc5: Refactor lago ansible_hosts
    7678342e: Merge pull request #283 from mkopta/master
    4f6eb28d: use LIBGUESTFS_BACKEND variable if set
    dd63652c: Merge pull request #633 from nvgoldin/guestfs_error_bug
    43a3ee3b: denoting root priviliges requirement
    35988b58: Merge branch 'master' into set_mtu_per_interface
    517b7c80: Initial squash from bit-bucket repo
    08e8303d: Merge pull request #143 from
              lago-project/add_default_template_repo
    e70e4a64: Merge pull request #188 from lago-project/fix_conf_defaults
    624f1ba4: Adapted functional tests
    83e2b039: Moved python packages to root dir
    09ecdac3: flake8: Ignore E722 (bare except)
    2f0fa7b0: Fix incorrent attribute access
    d8b09550: Merge pull request #183 from
              lago-project/fix_hosts_stuck_on_ssh_connectivity
    2888b6ea: Added requirements.txt
    6852bf6f: tests: fix ordering in TestPrefixNetworkInitalization
    1dc030f5: Add a function to get all the IPs of a VM
    ce785e23: Merge pull request #564 from nvgoldin/docs_enc
    53262943: ovirtlago: fix bug in capabilities
    8423f4e5: Added deploy method to lago.prefix.Prefix
    3cd767ae: py3: Replace 'raw_input' with 'six.input'
    77be26bf: Update VDSM build scripts to build for fc21/22
    6054984d: docs:Fixed a couple warnings
    4843a753: Merge pull request #158 from mykaul/gitignore_authors
    4f4e7af9: py3: Fix issues in 'vm' module
    48dcdb80: Merge pull request #248 from
              lago-project/fix_ssh_wait_propagation_default
    eff7f437: Fixing reposync defaults
    cb2250bf: Merge pull request #349 from nvgoldin/packaging_python_pbr
    00658841: Fix scp extraction and nicer logs
    466235ec: Add template repository support
    4e98e0c1: docs: Link to jenkins search result
    59c0466c: ovirtlago: Start all VMs in 'lago ovirt start'
    a2329d5f: Adding docs about the build section
    00c7d9fd: Adapted test fixtures to the new spec key
    4ac35620: Refactor generated CPU XML
    e63257c9: tests: change full VMs distros
    009c3b34: Merge branch 'master' into remove_mark_used
    8b4155cb: Fix premature output cutoff in ssh commands
    65ebc75b: Fixed yapf check when no files changed
    fc09ae74: Revert "Update Blank template name to Default"
    b96c0a55: Add ips_in_net() function - retrieve all IPs in a net
    bbcebcd0: Adding support for ovirt node specific VM's
    2188df60: tests: add fc26 to SDK functional tests
    6c656bb7: Not failing if there are no management networks
    74757f07: Merge pull request #783 from pilou-/fix_super_usage
    be396339: Install configuration files using RPM instead of pip packaging
    4162bf2c: packaging: depend on libguestfs-devel
    b2511c45: Reduce boot time
    ed6371fa: Merge pull request #294 from sandrobonazzola/master
    0fd6d454: Add command to generate ansible hosts file
    13e921eb: Merge branch 'master' into master
    e42a6d56: Merge pull request #490 from lenoch/control-enable-dns
    c8ad0dbc: Merge pull request #679 from
              lago-project/disable_extract_dead_paths_test
    918d8eb5: Merge pull request #686 from mykaul/remove_mtu_1500
    66ec7d0a: Don't use check_alive decorator in ssh_reachable
    e5eddc97: Merge pull request #67 from lago-project/fix_versioning
    0e52d58c: tests: sdk: Adapt to newer pytest versions
    2bbf2903: prefix.py: removed internal _create_paths method
    0dce83b2: Fixed firewalld command error on install
    76f65140: Add missing file from commit a973e026
    83eeddbf: Add output override to makefile rpm and dist targets
    49b30181: Enable persistent auth in ovirtsdk API
    a1bf8dc6: [ost-plugin] cleanup unused commands
    aa5fd40b: Merge pull request #560 from nvgoldin/sdk_ansible
    ecad8786: Add bridge type network
    1103cdda: Merge pull request #157 from lago-project/add_workdir
    ef81c274: Remove jboss home path parameter from engine setup verb
    f58e3b7d: automation: sort mock configurations
    75e32aa8: Adding a little message when opening a shell error
    641d9a0c: Using --config-append instead of --config
    bb74ed2a: py3: Remove old 'print' usage
    f0f5c2d2: Fix lago list
    d43f84b8: yapf: new version code formatting fixes
    07f1bb6e: ovirtlago:Removed unused code
    8ba99721: Merge branch 'master' into continue_on_failures
    5db8fa0f: Merge pull request #117 from
              lago-project/move_collect_to_main_cli
    c8501152: tests: move all unittests to tests/unit/lago
    1004a004: Remove unneeded changelog macro in specfile
    5790112f: Merge pull request #194 from
              lago-project/assert_within_allow_exceptions
    37b3c655: Merge pull request #724 from
              lago-project/add_try_except_in_extract_paths
    b12bad3a: Merge pull request #421 from nvgoldin/slow_start
    665d77f0: Print informative message when a workdir is not found
    06414504: tests: Use retries when running systemd-analyze
    51375bb8: Added the SSHVMProvider
    f754cf15: Moved the services to service provider plugins
    02a270ac: ci: Move libvirt and libguestfs deps to RPM level
    727b3281: Fix installation doc - sudo and shell redirect
    84a8471a: Add option to exclude packages from repoverify
    c8f61522: tests: sdk: Mark two tests with xfail
    5fb60899: Make lease_dir configurable
    e1331435: Fix collect verb
    6c17f75e: Merge pull request #735 from
              lago-project/expose_cpu_attributes_on_the_vm_object
    43eda7fa: Merge branch 'master' into master
    649fb8b0: Merge branch 'master' into inject-keys
    354f9a93: Fixed el7 python lib issues
    7192a7ba: Adding netaddr to docs conf
    79249c14: spec: require paramiko >= 1.16.1-2 on el7
    e67da6f8: Allow the use of prototypes for domains
    13d1a333: Set locale when building docs
    a4998506: Update Blank template name to Default
    83cd3bb6: Merge pull request #352 from lago-project/fix_stevedore
    943519ae: py3: Fix broken concatenation
    4f3145c6: Add sleep in assertion loop
    14f179f4: Merge pull request #485 from nvgoldin/add_stop_start
    9f303608: Fixed wrong var name
    3902da1d: Merge branch 'master' into update_get_ssh_client
    6692139e: Merge branch 'master' into get_ips_per_net
    02a31336: Use direct libguestfs backend by default
    ef281f78: Merge branch 'master' into
              dont_run_cli_functional_tests_with_lago_group
    6334cc2b: Merge branch 'master' into virtio-scsi
    7fea1d7d: Fix prefix metadata load/save code
    1d7722a6: Merge pull request #322 from rafaelmartins/master
    5e095481: Merge branch 'master' into master
    167c8b7d: Moved some code out of a with block
    17c943c2: ci:Replaced fc22 package files with fc24
    f2d52cf9: Add README with info about templates
    5c5bc197: Merge pull request #226 from lago-project/fix_repoverify_check
    be50406a: Progress report for template download
    2e33c9da: Merge pull request #513 from nvgoldin/dns_backward
    eb0b8162: Moved to plugin structure
    358e72ed: Added lago cli command
    8aa262d8: Automation: Remove duplicate packages from mock *.packages
    f31f7924: Add NUMA awareness to Lago.
    2cef75b4: ovirtlago: allow running reposync with custom_sources only
    8af072c3: Added some extra logs to ovirt prefix _deactivate
    f3ae9124: Merge pull request #557 from
              nvgoldin/tests_functional_check_merged
    e237ec4d: docs: add sdk
    cc4ec5d1: Merge pull request #253 from lago-project/remove_old_run_command
    c5780355: README: Add reference to other EL distros
    ab6e4ff6: docs:Moved releases section to the end
    d3a6ced6: Merge pull request #535 from nvgoldin/tox
    178fbf63: py3: Allow unicode in yaml status output
    36e08bcb: Exclude downloading jasperreports-server when syncing nighly RPMs
    afec1ac3: automation: configure KVM and libguestfs parameters
    e3ebea1f: Merge pull request #146 from mykaul/fix_gitignore2
    ec2a1a9d: Merge pull request #434 from nvgoldin/doc_fixes
    d60cb707: ssh: catch EOFError
    973e2689: Merge pull request #175 from lago-project/show_correct_vm_status
    67f4759f: Merge pull request #646 from nvgoldin/drop_group_warning
    f31b74c4: ovirtlago: drop get_ovirt_cpu_family
    5227b2ae: Merge pull request #553 from nvgoldin/escaping_net
    acc38efe: Merge pull request #347 from nvgoldin/order_comments
    b09cbd3b: Adding option to upload ova files to the lago env
    8e5d752c: Ask libvirt for path of kvm executable
    80fa3cd2: Added format status functional tests
    5cb35608: Changing also the check-merged to check deps
    8570da3f: Move config files into testenv-ovirt-extras package
    81152cd7: Fixed exception handling when checking for deps
    0ee89ecd: Fixed string interpolation when showing sysprep error
    571fb724: py3: Fix issues in 'ssh' module
    1ed40888: Merge pull request #247 from
              lago-project/improve_ssh_connection_logging
    e0e22df0: Merge pull request #445 from nvgoldin/monkeypatch_paramiko
    4f5a995b: Merge pull request #351 from lago-project/add_deps
    c8ee2190: Merge pull request #408 from nvgoldin/reposync_no_file
    a6f5a87d: Better handling of hosts with no service manager
    63ce7004: Merge pull request #82 from lago-project/move_to_scp
    fdd1070d: Copy files to/from a host
    254bb373: Add ioprocess building
    9cf732ef: Print informative message after "lago ovirt start"
    8629d41f: Return SandyBridge CPU family
    b37aaab5: Merge branch 'master' into unknown_vm_exception
    50fc1c6a: Change discovered verbs filter order
    16a9f017: Merge branch 'master' of github.com:galitf/lago
    41a15764: Removed redundant checks when getting ovirt api
    70e97ab3: Merge pull request #787 from tinez/config-tests-fix
    370f99c7: Merge pull request #502 from nvgoldin/revert_sph
    80713479: Adding git review file
    fc617149: Merge branch 'master' into docs
    4dd81ffe: Remove SSH client reuse and add explicit SSH termination
    39999561: Print informative message when requested image is missing #659
    5bc7c76a: Fix white/blacklist filtering in repoverify
    e8b07bfe: Fix wrong index in shell verb
    665a7c67: tests: snapshot: Bump the used el7 template
    41715c31: Add repo management utility
    db70e40d: Merge pull request #640 from lago-project/qemu_permissions
    7230a07d: Moving to pbr for python building
    2f59434c: Merge pull request #617 from nvgoldin/getlibversion
    b9facdd3: Fixed changelog ugly formatting
    dacf4710: Add timeout to ssh interactive loop
    cd4914f9: Fix the destroy tests
    12ab97d5: ovirtlago: import sdk4.types as otypes
    96cd35e5: Merge pull request #604 from
              lago-project/adding_docs_about_builders
    5e647d32: Merge pull request #424 from lveyde/patch-1
    ca3ef20c: doc: fixing typo for example on local templates repo
    8855d669: Fix IPv6 subnet allocation.
    5eaaa09f: sdk: added 'deploy' to exposed methods
    c89186a6: utils: add to run_command a uuid identifier
    ba66fc58: lago.cmd: added deploy cli plugin
    97a13130: Adapted gitreview file
    f5c73e59: Merge pull request #428 from machacekondra/ansible_hosts
    be794dc1: Hide import error when using old versions of stevedore.
    03634af1: Adding basic video device
    d21f43e8: Added helper functions to rotate directories
    66dad0f2: Adding missing docstrings to subent_lease.is_leasable_subnet
    6c320227: [docs] reposetup.merge sphinix formatting fix
    036b2381: docs: installation notes for pip
    be4529f3: Cleanup of method calls to properties
    bf2e5e26: Enforce python2-crypto version on fc24/el7
    3b136c9d: ovirtlago: add 'ovirt start'/'ovirt stop'
    4573c7e9: add also link to main README.rst file
    d6075c21: Merge branch 'master' into master
    c0023367: ovirtlago.virt:Use the spec vm-type if any
    310f566d: Merge pull request #268 from didib/docs
    66cf1b32: Added workaround for reposync
    f5177dd3: Added /var/log/sanlock.log to the log collection from hosts
    9907bf0f: py3: Fix broken str-int comparison
    cc993a41: Merge pull request #64 from lago-project/fix_el6_slow_boot
    fd7f5690: Fix pip cache dir permissions
    b7e0c0ab: Refactor ssh and service handling
    98157c38: Merge remote-tracking branch 'upstream/master'
    0c36748f: Don't run flakes on rpmbuild/dist dirs
    d9ddeeae: tests: add collect from vm
    e38d43ad: Don't require tty for sudoing from lago
    0e56fb42: Simplified merge repos
    9937b7a2: Move libvirt provider to a specific directory
    646d9f86: Merge pull request #505 from nvgoldin/libguestfs_debug
    5376da70: Fix vdsm/engine/... build scripts
    dc2e4e87: Merge branch 'master' into qcow2_changes
    4c843d8b: docs: various improvements
    619f99d5: docs: SDK.rst minor fixes
    26199494: Make NAT default forward mode for testenv
    1e935e94: Fix reposync - use 'continue', not 'return'
    122891d5: docs:Fixed the current errors
    ca3c023b: reposetup: be more verbose on reposync failure
    52f0f187: Reformat everything to new yapf version
    9334b081: sysprep: add back escaping to network setup scripts
    9f9e7185: Small sysprep fixes
    ce2fe900: Move deploy paths into virt config
    30c49a83: Merge "Moving to setuptools"
    9bc8129c: Merge pull request #501 from lago-project/adding_virt_customize
    75e1c7e4: Clean old rpms when uploading new ones
    d255b2fc: Moving over get_prefixed_name() to ovirtlago/testlib
    654153ff: Merge pull request #795 from
              lago-project/make_yaml_output_formmater_deterministic
    465d001d: Fix build_engine bugs
    143b8079: Merge pull request #255 from
              lago-project/fix_expnsion_of_vars_in_ova_url
    bd1c2151: Merge pull request #641 from
              lago-project/removing_duplicate_deps_from_mock_packages
    c7966a35: Using repoman to merge the reposync downloaded repos
    d19bd1e1: Merge pull request #664 from lago-project/adjust_code_formating
    c8a7b092: Drop check_deps function
    bfd635d8: Merge pull request #400 from mykaul/multiple_ips
    27856ea9: Merge pull request #306 from mykaul/virtio-scsi
    eab105f1: Merge pull request #131 from mureinik/readme
    7f5137d4: reposetup:Don't break on empty sources, just warn
    56ec8524: reduce some code dups
    019b3360: Merge pull request #243 from lago-project/more_reposync_fixes
    19d4730c: Fixed issue when metadata was empty
    98a64ceb: setup.get_version:specify custom project path
    056c15a8: More fixes for merge_repos module
    b731ae0a: Merge pull request #602 from
              lago-project/change_log_level_of_lock_file_cm
    9b37e0af: A couple of tests that were using wrong prefix
    b7befe96: Merge pull request #587 from
              lago-project/export_improvements_rebased
    823bc12e: docs:Adding note on rh office repo
    44b93c70: Merge pull request #169 from mykaul/ignore_empty_rpms_on_merge
    39babc10: added test_equals* tests in order for testlib to include tests
    3b7555e7: s/this/these/
    49942bb3: prefix.py:Added resolve_prefix_path function
    e02497b3: packaging:Added version manager script
    abb51f79: add friendly msg,when file to copy not exist
    c7d5d2d4: ovirtlago.repoverify:Refactored
    6fb9afa9: Added common.diff_output
    3d43d61b: Merge pull request #534 from nvgoldin/fix_nested_test
    405751cd: Added workdir module
    160f0af1: Merge pull request #743 from mykaul/master
    24994fca: sysprep: fc25 support, debian grub timeout support
    f36783e0: Remove unused constants from libvirt/vm.py
    3f124d78: Move sysprep to system session
    7ca3109f: Merge pull request #154 from
              lago-project/add_heavy_functional_tests
    79bb6ca2: Comment in the docs/help about virt config formats
    a5bccc7a: Merge pull request #737 from enarha/fix-doc-install
    fa1101c8: Merge pull request #239 from lago-project/fix_log_typeerror
    c813cec8: Merge pull request #592 from nvgoldin/fix_ignorenpath
    c0e48f5c: Merge pull request #547 from nvgoldin/debian_network
    534b6ebe: Adding recursive scp by default
    f28ea953: Merge pull request #272 from
              lago-project/show_plugin_import_exception_only_in_debug_level
    24ff36d1: Added ovirt_common lib
    f87101ee: Reposync first retry with clean caches
    c3a81a77: Merge pull request #27 from david-caro/add_lago_cli
    f7cfa262: py3: templates: Decode downloaded hash to string
    914de48b: Merge branch 'master' into
              dont_run_cli_functional_tests_with_lago_group
    af018b1d: tox: Exclude 'rpmbuild' dir from flake8 checks
    5ce81701: Merge pull request #790 from tinez/extract-paths-reimplementation
    14d884c0: Merge pull request #290 from mykaul/get_sanlock_logs
    9e28762e: testenvcli ovirt collect: make --output flag mandatory
    1e63cd89: fixing typos
    d070675e: Merge pull request #458 from
              lago-project/adding_basic_video_device
    459d6714: Remove te- prefix from bridge networks
    71b93315: Merge pull request #382 from nvgoldin/continue_on_failure
    1bb52aba: Destroy layered env at the end of the tests
    ef23aa61: Ask the provider if the VM is running
    5b438962: Merge pull request #251 from lago-project/allow_any_pkg_source
    33b1b24f: tests: Update cirros base image to 0.5.0-pre3
    5aaf33cf: Add Lago SDK
    a7f821a4: Added the preallocation=metadata option for qcow2
    f6723796: Merge pull request #711 from mykaul/virt_cleanups
    1440adee: Add some lago extra vars to the env
    0d154afb: Fix HTTP server context
    33ca8c02: ovirtlago: reconfigure timeouts in 'lago ovirt start'
    7d156b77: Add _get_net helper function
    d0fa45cf: Merge pull request #488 from nvgoldin/check_sds
    3a75e325: Update README.templates.md
    c1816909: Merge pull request #152 from lago-project/add_perfix_option
    66dec63b: Merge pull request #231 from lago-project/fix_el7_dirlock
    fe620aa6: Merge pull request #136 from lago-project/add_version_command
    5fee77b2: Merge pull request #415 from nvgoldin/collect_libvirt
    1c382253: Merge pull request #726 from
              lago-project/ask_the_provider_if_the_vm_is_running
    c20e6bdf: Merge pull request #77 from tlitovsk/ovaOvirtSupport
    7396e2e4: Fix NIC info identation in status verb
    e0c0a66f: Fix some comments for RollbackContext
    f0875b11: Added pyxdg and configparser to requirements.txt
    09b03ae1: Added page with some resources for new devs
    273df672: Changing the ssh connection waiting method.
    383d41c7: tests: fix test_nested_mixed
    0d911bc3: Fixing the engine answer file
    0d81d8cb: Merge pull request #37 from mykaul/download_progress
    1fab8595: docs:Adding a note on disk requirements in the example
    FIXED BUGS: BZ#1282906
    0c4772cb: Merge pull request #715 from
              lago-project/allow_running_chmod_with_qemu_user
    f43738ab: Merge pull request #565 from mykaul/disable_services
    444072bb: guestfs: add retries to mount
    66f95b12: Merge remote-tracking branch 'upstream/master' into docs_add_epel
    840d3956: Fix start a bridged network that's already alive
    ee15dfbb: Merge pull request #356 from lago-project/pkg_resources_exception
    1ca5f60b: Added url support to file image provider
    be9d1342: Merge pull request #260 from lago-project/add_virt_providers
    aa8d9f88: Fix docs imports
    c1590b12: Merge pull request #497 from nvgoldin/sphinx_workaround
    e8b71c74: Merge pull request #236 from lago-project/make_prefix_relocatable
    3a603784: ovirtlago: drop ovirt.collect tests
    42f49e6c: Remove print statements
    febdcef6: Using the new ovirt_common lib
    ec9567e0: Merge branch 'master' into update_images_in_func_tests
    7838c924: Merge pull request #579 from nvgoldin/systemd_analyze
    3307c2c3: Merge pull request #654 from
              lago-project/adding_ipv6_troubleshooting
    20b7a386: Moved some confs to setup.cfg
    d55cd4c7: Avoid allocating addresses on bridge networks
    4a09525c: Download progress
    103d944d: Merge pull request #692 from
              lago-project/is_workdir_narrow_except
    8e55db61: Merge pull request #401 from lago-project/export_feature
    b93d5de1: Merge pull request #566 from nvgoldin/docs_enc2
    ff2475a4: Merge pull request #466 from nvgoldin/init_fail_early
    c3e6b74c: Merge pull request #76 from tlitovsk/sshTimeOut
    ffd4e51f: Merge pull request #186 from
              lago-project/some_issue_script_improvements
    9affcfe3: Remove debian based images from functional tests
    eeb85939: py3: Fix urllib usage
    1df5e837: Added --set-current option to init subcommand
    3cf8d87c: Merge pull request #377 from nvgoldin/log_skiptest
    2a909840: py3: Fix dict iteration in jnija templates
    71e9bf5f: Collect now rotates the dest dir if exists
    4100ab48: tests: add prefix and cpu tests to ovirt.runtest
    d891034b: Bump yapf version 0.7.1 -> 0.14.0
    84051f7b: [docs] add epel to installation guide for el7
    29676579: logs:Changing the priority of start/stop vm/net
    0bd7b819: Fix the confusion between 'defined', 'alive' and 'running'.
    2ef91e33: Removed old files, and moved the ones left to etc
    f58acacd: Allow to call sysprep.update() which will update all packages
    be8f7e7f: Add more info to templates README
    161875e9: py3: Remove usage of 'cmp'
    b4f1c3ed: Update image update script
    6c687393: Moved collect_artifacts to lago.virt.VM
    00cfcba7: Merge pull request #182 from
              lago-project/add_issue_manage_scripts
    e90ff76f: Remove the video device.
    a23541bb: Add option to skip syncing the repository
    0e535676: Merge pull request #230 from lago-project/add_prefix_env_vars
    266407e8: Added multi-prefixed workdir
    9f423604: utils: fixed typo
    c66cd924: restore meaningfull README file
    ea96ad32: Merge pull request #103 from lago-project/add_user_home_note
    26d5b1f5: Tidy up build scripts
    e440ac4c: Merge pull request #589 from mykaul/fix_ssh
    745e6087: Added possibility to specify ssh-user and ssh-pass on initfile
    b8e26b6a: tests: add check-merged functional sdk tests
    a5a6f7a6: functional:adapted the warnings test
    7b940c22: Created lago.prefix module
    beeb7fc3: Expanding any vars on any url
    b1583b0b: Remove unused files
    b0a6e828: Changes to dom_template.xml
    dc3252f9: Fix passing arguments to select.select
    f0922bc4: Merge pull request #177 from lago-project/improve_docs
    3d12add2: Add the '--delete' to sysprep so we can delete files during
              sysprep.
    f78e351b: Merge pull request #425 from nvgoldin/custom_repoman_conf
    d77565c0: Merge pull request #443 from nvgoldin/fix_libguestfs_err
    208bfc34: ovirtlago: allow passing custom repoman filters
    a3679a3e: Fix errors in BridgeNetwork code
    f21a73b9: Small changes to the libvirt XML
    26692e59: Moving over get_prefixed_name() to ovirtlago/testlib
    e8953e0c: yapf v0.16.2 fixes
    0e5fa2c2: py3: Fix issues in 'prefix' module
    48ec964c: Merge pull request #297 from
              pilou-/allow_non_root_user_to_install
    1f9e5fc1: Fixing readme distros list
    FIXED BUGS: BZ#1282501
    092f62a2: Added common lib
    bc6935b9: Fix distro detection
    4901a587: Merge pull request #581 from nvgoldin/tests_add_collect_vm
    98a3b14a: Move templates README
    b2aacea4: Merge pull request #459 from mykaul/start_stop_hosts
    0dad8909: Load configurations from the CLI plugins
    a2f9a0de: py3: Replace 'map' with list comprehension
    0afdf1f5: Merge pull request #511 from nvgoldin/wait_host_activate
    73a0b901: Merge pull request #348 from nvgoldin/docs_add_epel
    df8f6e7e: Added the 3.5 tests
    3dd77113: Merge pull request #318 from lago-project/add_boot_menu
    6053e41d: Fixed in_prefix in ovirt plugin
    f872866b: Get libvirt version correctly
    d4ecd8b7: py3: Fix issues in 'lago_ansible' module
    81f8a754: Merge pull request #615 from lago-project/fixing_export_issues
    d138a9e3: utils: Lock CM improve log messages
    1a4fcced: Add tags and cscope.out to gitignore
    738b05ea: Fix create_disk bug
    ae957684: style: Format code with yapf 0.19
    41553b76: ovirtlago: allow defining custom repoman config file
    ef784478: Backport Python3 super constructor to the codebase
    20cc8d58: Fixed a bug where script manager stuck on an
    d7aa918b: Added explicit prefix basic functional test
    05ccf724: More robust CPU selection
    a38bcaa1: Adding all the fast functional tests to check-patch
    89599c3a: Merge pull request #676 from mykaul/still_got_100
    4aa3ac8e: Show yapf version being used for the checks
    74ad2aa8: functional:Using default init file in one test
    363576ee: Add CommandStatus type and use it in run_command
    6a9da5f0: Merge pull request #481 from nvgoldin/docs_cpu
    45764a95: Fixed small typo in a string
    c83a1188: Moved to the utils.in_prefix
    345eafc7: Renovate image update script
    2be906a3: Merge pull request #470 from nvgoldin/custom_cpu
    28986f25: Showing extra logs on sysprep errors
    904721c0: Merge branch 'master' into get_sanlock_logs
    69d454ee: Merge pull request #174 from lago-project/fix_test_name_typo
    c7ff5190: Removed the repo verification code
    801c9137: sysprep: add spaces in Jinja2 macro templates
    7aaca72b: Fix sdist creation
    212d9ef7: Added timeout to the ssh connection function
    d5fbe1ba: Add exclude for big RPMs we don't need
    e29f30e5: Merge pull request #166 from lago-project/add_ignore_warnings
    24c6afcb: added missing libvirt & user permissions info
    3f05b300: tests:Removed unneded extra var expansion
    e937184e: out-format: Always print yaml in block style
    75e10f93: Added release procedure
    FIXED BUGS: BZ#1288062
    4b84976e: cli-functional-tests: Don't use lago's group
    dae0321f: Added live-snapshot capability to centos7 config
    8533762a: py3: Fix issues in 'export' module
    8b614459: Merge pull request #600 from nvgoldin/merge_check_merged
    7a661154: Copy inside the prefix the deploy scripts
    b36d49a6: Add functional tests
    3dea5d04: workaround for cirros images not getting ip on boot
    902f2abf: Add changelog to the docs
    f1002529: ovirt:Using inherited artifacts for collection
    7996304d: Log running ssh_script
    61d13934: Merge pull request #471 from mykaul/raise_ioerror
    a7d71ad2: Force usage of qemu-kvm-rhev on centos/rhel
    ec0e365e: Merge pull request #138 from lago-project/use_default_prefix
    0022311a: Set MTU per interface.
    11e92b34: Fix status verb
    3ba0e79c: Revert "Make paramiko v1.16 work with python2-crypto again"
    1e540982: lago.Prefix:add method to retrieve snapshots info
    8f5b3000: subnets: free on destroy
    ed49c043: utils: Added 'TemporaryDirectory' context mgr
    942dfbce: ovirtlago:Added a wait for the engine to go up
    24ea258d: doc: add some info on first step download of templates & faq
    FIXED BUGS: BZ#1283669
    e08daccd: tests: Fix config tests for non-standard config
    04e8c3d4: Removed explicit Path.prefix usage
    ca27b651: Checking the last commit on the checkstyle
    1ec94d55: Added LAGO_INITFILE_PATH env var when running init
    0ae7dda2: sdk-tests: Update the test's images
    a067bf4d: docs: Installation notes enhancements
    b5f8e4e2: Merge pull request #683 from lago-project/log_msg_lock_cm
    cd89b87a: brctl: Use "ip" to check if a bridge exists
    9d16b0dd: pkg:Fixed wrong release version string
    98630665: Added nice colored logging to lago
    FIXED BUGS: BZ#1277674
    26858549: utils: add uuid to LogTask
    8a964076: Merge branch 'master' into fix_super_usage
    8e67f6e3: Merge pull request #200 from lago-project/fix_sysprep_logs
    25e1cbc4: Merge branch 'master' into disable_services
    0beecc93: Merge pull request #618 from nvgoldin/install_ubu
    3c417c2b: py3: Fix issues in 'templates' module
    726fbfa6: Merge pull request #796 from galitf/update_mailist
    627fb675: Replace the order between qemu-ga and qemu-guest-agent.
    3ad1340b: Fix type in warning message
    b4b3ca9f: Merge pull request #190 from lago-project/use_default_init_file
    b79fc534: Merge pull request #404 from mykaul/master
    7d23a9d4: Fix typo in libvirt default connection URI
    20711c45: Adapted functional tests
    ac4f2df0: Revert usage of 'ssh-inject' in sysprep
    f5825073: tests: add coverage.py report and export results XML
    e0bb9d70: Fix pep8 warnings
    c3819d96: Import template metadata into the VM objects
    b28c732f: Updates to the json README
    6828ba67: Fixing a bit the return codes
    3a9e0f71: Use custom exception in "get_ssh_client"
    0ffd1fd3: Added missing requires
    67c3088b: Merge pull request #453 from nvgoldin/reorder_packages
    f96b9693: Detect what distros to sync/build from template versions
    916cd379: ovirtlago: log skipped tests to stdout
    a75ae5b9: Switch bootstrap code to rely on virt-sysprep
    74cd9d9a: Add test for engine-setup step
    5248291e: Added nice logo to the docs
    b6c0deca: func:Fixed ovirt.collect tests when shutdown
    91c148c5: Allow to create a workdir in an existing dir
    a019410e: Added collect basic test
    7e37168f: Merge pull request #610 from nvgoldin/fix_sdist
    129dba50: Allow python setup * commands to work
    4c7dddc6: Merge pull request #118 from lago-project/fix_package_deps
    970755d6: Setting el6 engine
    dd88e56c: Merge branch 'master' into set_lock_permissions
    9eeaaa4c: Unit tests for deep_copy and load_virt_stream
    2be9d5fa: Merge pull request #690 from lago-project/docs_mock_future
    cab8578a: Extracted '_ssh' context manager from '_scp'
    9ab1f22f: Don't fail if a domain has no disks
    db34e6e8: Print exception message with logger.error
    99e99b75: Detect (and report) any empty domain name possibly
    687a563e: unit:fixed small typo
    e5f6194a: Merge pull request #250 from
              lago-project/fix_ovirt_serve_cpu_usage
    976efa34: Merge pull request #678 from lago-project/deploy_scripts_sleep
    397321e5: Switch to optionall freeze the FS before logs extraction.
    0967ee27: Fix SSH for VMs without public key
    27f59067: Merge pull request #84 from lago-project/fix_ci_check-patch
    648c4dc9: Merge pull request #216 from
              lago-project/add_skip_bootstrap_command
    04a8e8de: [docs] Add supported CPU parameters
    ed9422cc: Allow running the testrun command from anywhere
    009a2e8b: Add libvirt cache workaround to centos7 config
    c58c3c6b: Use PEM key format for ssh
    95a75427: Moved the lago subcommands to cli plugins
    d62571fa: Merge pull request #385 from leongold/master
    871bcb38: Showing the full command on debug mode
    57c59290: Add bootstrap of several NICs
    1c9f8ee6: rename testenv to lago totally
    a1a57978: Merge pull request #229 from lago-project/extra_gitignore
    e57904e3: Merge pull request #630 from d3dave/docs/repo-metadata
    22a0e85a: py3: Switch CI and builds to py3
    ae091bdb: py3: Fix issues in 'test_sdk_utils' module
    3bb9d86f: setup.cfg: metadata fixes
    841f108d: Modify paths in readme file
    3a8c9576: Not removing uuid on cleanup
    FIXED BUGS: BZ#1281282
    4359c020: Some yapf fixes
    217a4422: pip: adjust MANIFEST.in
    647e66a1: Added ovirt.runtest functional tests
    1803d729: doc: adding clarification on the defalt images location.
    dc2586fe: Use get_closest_mark instead of get_marker
    9fd0e347: Merge pull request #670 from lago-project/fix_lock
    aa50a9a3: ovirtlago: Improve logging when activating sds
    c5dfc9c4: Prep for oVirt v4 API
    b99942e2: py3: Fix re-raising exceptions
    555a5a26: Merge pull request #142 from lago-project/add_snapshot_list
    a345d4d8: ovirtlago: collect entire /var/log directory
    8802fe09: Revert "spec: require paramiko >= 1.16.1-2 on el7"
    27382d9d: Ignore deprecation error caused by stevedore
    01bdf69a: Merge pull request #595 from nvgoldin/libguestfs_tox_debug
    9358952c: Merge pull request #675 from
              lago-project/sdk_func_test_vm_is_running
    26e9dd71: Adding boot menu
    cc9ce487: Merge pull request #202 from lago-project/fix_ssh_issues
    1952318c: Extract the artifacts from the vm spec by default
    d8aaeb4e: Merge pull request #568 from
              lago-project/build_allow_to_use_option_multiple_time
    a20cff51: Avoiding ssh connection for hosts that have no ovirt-scripts
              assigned
    353b6b64: Merge pull request #249 from
              lago-project/remove_reposync_verification
    8ae1406e: Merge pull request #344 from nvgoldin/docs_generate_config
    10d22fbf: More fixes for bridge network type
    59446cf7: Using main lago run_command
    e75a4b26: Expose CPU attributes on the vm object
    a0ec04d9: Merge pull request #270 from iankko/empty_domain_improved
    66fb82c9: Drop dirlock
    e06f5022: sdk: added ansible inventory methods
    7894c1d4: Added --custom-source option to reposetup
    b1cf020d: Add output plugins registries and deps
    f59f587b: Merge branch 'master' into inject-keys
    63a15588: Merge pull request #503 from nvgoldin/dont_pin_yapf
    89e8e0a0: Yet another small fix to better detect reposync issues
    73b6a2c0: Added --prefix-path option to the lago command
    5fe33adb: Merge branch 'master' into skip_freeze
    fac66300: Merge pull request #538 from
              lago-project/skip_group_creation_if_exists
    36f29f70: Use a separate template domain for el6 distro
    1e3ebe13: Allow using lago on systems which runs setevedore 1.1.0
    847c0d16: Merge pull request #28 from tlitovsk/master
    8268205a: Merge pull request #628 from lago-project/fix_lago_list
    85132c8e: Merge branch 'master' into add-vm-type-ovirt-he-host
    d245810c: Differentiate alive and defined VM
    29dbe509: Adding sphinx docs
    FIXED BUGS: BZ#1282163
    1dbd5458: workaround setuptools regression
    22ae3ec1: Adding lago shutdown
    f46a1953: Work around linux bridge name length limit
    6c1c0926: Merge pull request #123 from lago-project/fix_ovirt_caps
    2447e5ab: Merge branch 'master' into get_prefixed_name
    bba9097e: Removed unneeded make target
    1738e8be: Merge pull request #691 from didib/log-ssh-script
    4520202d: Merge pull request #518 from nvgoldin/increase_start_vm_timeout
    96546351: docs:Added ovirtlago.repoverify module docs
    4c643871: Merge pull request #688 from lago-project/pin_yapf_version
    cca6c1ff: safely check qemu uid after snapshot
    afd44891: Revert "ovirtlago: allow passing custom repoman filters"
    dcaf87c6: Moving to py.test
    4f5866a5: Fixed a typo in a comment
    62b1a778: Merge pull request #343 from nvgoldin/unknown_vm_exception
    4d20490f: removed selinux section, seems to be working with enforcing also
    18e34400: ansible: Add special case for the group key
    d6f9d0dd: Using non-cloud-init minimal vm
    759831b4: Merge pull request #655 from lago-project/fix_pip_install
    380c5e0f: Added extra depth to show the available plugins
    85b46723: Update the images we use in the functional tests
    7be0dac9: Merge pull request #623 from lago-project/export_backing_file_fix
    b4379301: ovirtlago:Added deprecated options
    632b94ee: Added lago collect cli subcommand
    0c07457a: Merge pull request #467 from lago-project/fix_export_test
    579c8e5f: Revert ssh ret changes until ssh methods are done
    40cc5191: Merge pull request #70 from lago-project/fix_copy_from_vm
    cf5ae5e7: Merge branch 'master' into sysprep_edit
    dcd792d0: Fix makefile spec target
    a433efed: Fix github link
    ed219883: libvirt: add auth
    3f6e64de: spec: fix firewalld ovirtlago dropped on upgrade
    0128bed7: ovirtlago:Added extra logging
    4dba5179: Fix typo on warning message
    2c23ac21: Print the URL if an IO error occurred.
    82df9f26: ovirtlago:not waiting if engine is not yet responsive
    a2ca17a7: Don't leave malformed workdir on 'lago init' failure
    c577b8d7: Merge pull request #365 from mykaul/guess_host_name_in_shell
    66a4f341: Merge pull request #153 from
              lago-project/refactor_functional_tests
    6b174850: Moving from sftp to scp for copy to/from vms
    bc776c36: Add elaborate rules for testenv sudoers
    45e30294: Merge pull request #342 from didib/add-vm-type-ovirt-he-host
    8351fdf4: Merge branch 'master' into update_mailist
    f198efec: log_utils:Not failing on tracedump logs
    9069f4b6: Added warning to testenvcli when invoking without testenv group
    9d2bbbe8: tests: always destroy the environment on functional-sdk tests
    59126753: ovirtlago: use the vm-provider if it's there
    c5f6cafb: Using LAGO_PREFIX_DIR for the disk images too
    9651d5a7: func_tests_basic:Skipping the bootstrap where able
    52599eea: Fixed the version generation
    40db66f2: Use only-missing to avoid overriding custom rpms
    0c59c9b6: Add option to configure default repo to use
    c33a122a: Merge pull request #517 from nvgoldin/unit_tests_coverage
    f6e57583: docs:Adding docs to lago.templates module
    a808c0b6: Adapting 3.5 tests
    3a897742: Merge branch 'master' into fix_level_comparison
    eb1b327c: Merge branch 'master' into fix_super_usage
    45a445b7: Merge pull request #376 from mykaul/sysprep_edit
    b7034417: Merge pull request #271 from lago-project/ssh_provider_fixes
    4824a948: libvirt: Don't cache connections
    5ed7f771: Merge pull request #536 from nvgoldin/cleanup_template
    30461012: Merge pull request #546 from nvgoldin/sdk_logging
    a002d158: Fix interactive_ssh
    d16dd5fa: py3: Fix issues in 'sysprep' module
    fcdc165b: Merge pull request #452 from mykaul/qcow2_changes
    4ffc9019: Fixed a couple of doc warnings
    00f249a3: Merge pull request #736 from
              lago-project/fix_running_method_in_ssh_provider
    8fd5ff65: automation: update check-merged to install tox
    f43a6ef6: Add 3.5 answer file for EL6
    8cf2965c: Added compressed images support to the url handler
    FIXED BUGS: BZ#1284838
    e9ff16df: Fix changed file detection
    b6b25ac1: Merge pull request #83 from lago-project/pep8_fixes
    f197cf8f: gitignore: Add some untracked files
    60bde7d9: Merge pull request #388 from nvgoldin/extract_scp
    147f785d: Added sudo dependency
    FIXED BUGS: BZ#1279054
    531bd754: Merge pull request #303 from
              lago-project/refactor_engine_api_request
    02f4815c: functional:added fixtures
    89fa3dec: Ignore zero sized RPM files when merging repos.
    7f4cbe43: py3: Fix issues in 'virt' module
    f958d290: py3: Fix issues in 'utils' module
    d26883db: Merge pull request #480 from lago-project/add_shutdown_cmd
    d122a33e: Moved most files to python-lago rpm
    ef552218: Added ovirt.deploy functional tests
    47a78fb2: tests: collect additional artifacts
    41733624: Allowing user paths and vars for templates
    ab8f5b6a: Added skip-bootstrap option to init command
    e83907a6: Add 'start-hosts', 'stop-hosts', 'stop-vms', 'status' to ovirt
              sub-command
    047b8e50: Remove dns entries from exported init file
    077421e6: export: Some fixes
    3aeb4a44: Improve VM state query
    0b67c0d8: Merge pull request #246 from
              lago-project/show_changelog_on_readthedocs
    91b93b32: Merge pull request #506 from
              lago-project/stop_using_exc_info_in_log_task
    75543f8e: Added some collect functional tests
    946d9773: ovirtlago:Using lago.prefix.Prefix.deploy
    98322f01: Removed thread pool on reposync
    f153f35f: Merge pull request #201 from mykaul/simple_merge
    e8d11e3d: Merge pull request #370 from mykaul/scsi_on_demand
    b525ef5a: sysprep: support debian network scripts locations
    dbc78f96: py3: Fix issues in 'test_subnet_lease' module
    a6f894b5: Merge pull request #128 from
              lago-project/brctl_add_some_error_info
    2c61ca2e: update_images: Convert image paths to absolute
    0dc96675: ovirt:Fixed issue with no capabilities
    f5874cb4: Adding option to provide iso as a disk.
    459072ae: Merge pull request #681 from
              lago-project/deploy_log_error_no_propagation
    0ea1688e: Merge pull request #477 from lago-project/export_init_file
    aa273329: Add serial pty to the domains
    8f357999: Fix allocation of x.x.x.0 ips
    b5e382af: tests:Added simple check for rotated dir
    44593038: Adding LagoDeployError
    62c92b12: Merge pull request #405 from nvgoldin/wait_net
    783aae26: Add DNS and IPv6 support
    287463ef: Added possibility to not propagate log task errors

* Tue Aug 12 2014 b'Dima Kuznetsov <dkuznets@redhat.com>' - 0.0.1
    6624afc3: Initial commit

